<div class="session-progress-user">
  <div class="spacer"></div>
  <div
    class="session-progress-user__progress"
    *ngIf="userProgress && userProgress.length; else noProgressHere"
  >
    <div class="progress-text" *ngFor="let prog of userProgress">
      <p class="bold progress-date">{{ getDate(prog.timestamp) }}</p>
      <p class="progress-message">
        {{
          prog.message ? prog.message : "Integer posuere erat a ante venenatis."
        }}
      </p>
    </div>
  </div>
  <ng-template #noProgressHere>
    <p class="progress-message">Nessun progress presente.</p>
  </ng-template>
</div>